| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.optimizers.h2o_optimizer.Optimizer Class Reference
Inheritance diagram for gdayf.optimizers.h2o_optimizer.Optimizer:
[legend]
Collaboration diagram for gdayf.optimizers.h2o_optimizer.Optimizer:
[legend]

## Public Member Functions
def | __init__ (self, e_c)
| Constructor Initialize all framework variables and starts or connect to spark cluster Aditionally starts PersistenceHandler and logsHandler. More...
def | optimize_models (self, armetadata, metric_value, objective, deepness, deep_impact)
| Method manging generation of possible optimized H2O models loadded dinamically on adviserclass params: results for Handlers (gdayf.handlers) More...

## Detailed Description

Definition at line 21 of file h2o_optimizer.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def gdayf.optimizers.h2o_optimizer.Optimizer.__init__ | ( |  | self,
|  |  | e_c
| ) |  |

Constructor Initialize all framework variables and starts or connect to spark cluster Aditionally starts PersistenceHandler and logsHandler.

Parameters

  self | object pointer
  e_c | context pointer

Definition at line 28 of file h2o_optimizer.py.

## Member Function Documentation

## ◆ optimize_models()

def gdayf.optimizers.h2o_optimizer.Optimizer.optimize_models | ( |  | self,
|  |  | armetadata,
|  |  | metric_value,
|  |  | objective,
|  |  | deepness,
|  |  | deep_impact
| ) |  |

Method manging generation of possible optimized H2O models loadded dinamically on adviserclass params: results for Handlers (gdayf.handlers)

Parameters

  armetadata | ArMetadata Model
  metric_value | metrict for priorizing models ['train_accuracy', 'test_rmse', 'train_rmse', 'test_accuracy', 'combined_accuracy', ...]
  objective | objective for analysis ['regression, binomial, ...]
  deepness | currrent deeepnes of the analysis
  deep_impact | max deepness of analysis

Returns
  list of possible models to execute return None if nothing to do

Definition at line 42 of file h2o_optimizer.py.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/optimizers/h2o_optimizer.py